Unit AMM1C_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

procedure AMM1C(var A :Array of Complex; N :Integer; M :Integer;
                var B :Array of Complex; L :Integer;
                var C :Array of Complex);

implementation

procedure AMM1C(var A :Array of Complex; N :Integer; M :Integer;
                var B :Array of Complex; L :Integer;
                var C :Array of Complex);
var
I,J,K :Integer;
TEMP :Complex;
label
_10,_15,_20;
begin

for I:=1 to N do
 begin
  for J:=1 to L do
   begin
    TEMP  := Cmplx(0.0,0.0);
    for K:=1 to M do
     begin
      TEMP  := AddC(MulC(A[(I-1)+(K-1)*N],B[(K-1)+(J-1)*M]), TEMP);
_10:
     end;
    C[(I-1)+(J-1)*N] := TEMP;
_15:
   end;
_20:
 end;
end;

end.
